import safePath from '$lib';
import { describe, it, expect } from 'vitest';

describe('safe path', () => {
	it('reject names with ../', () => {
		expect(safePath('../foobar', './uploads')).toBe(false);
	});

	it('accept names with ./', () => {
		expect(safePath('./foobar', './uploads')).toBe(true);
	});

	it('reject names with /', () => {
		expect(safePath('foo/bar', './uploads')).toBe(false);
	});

	it('accept happy path', () => {
		expect(safePath('foobar', './uploads')).toBe(true);
	});
});
